For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Cluster

Creates a new Cluster. The full Cluster needs to be provided to create the object. Optional data will be filled with defaults or left empty.

post
/clusters
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
201

Cluster successfully created.

application/json
idstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Cluster.

Example: /clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead
post/clusters
POST /v2/clusters HTTP/1.1
Host: postgresql.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 749

{
  "metadata": {},
  "properties": {
    "name": "cms-prod",
    "description": "A cluster for the production CMS.",
    "version": "16",
    "instances": {
      "count": 1,
      "ram": 4,
      "cores": 4,
      "storageSize": 10
    },
    "connection": {
      "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
      "lanId": "2",
      "primaryInstanceAddress": "192.168.2.101/24"
    },
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    },
    "replicationMode": "ASYNCHRONOUS",
    "credentials": {
      "username": "my_dbuser",
      "password": "yourP@ssw0rd1!",
      "database": "my_database"
    },
    "connectionPooler": "TRANSACTION",
    "restoreFromBackup": {
      "sourceBackupId": "dcd31531-3ac8-11eb-9feb-046c59cc737e",
      "recoveryTargetDatetime": "2020-12-10T13:37:50+01:00"
    },
    "logsEnabled": false,
    "metricsEnabled": false,
    "backup": {
      "location": "eu-central-3",
      "retentionDays": 90
    }
  }
}
{
  "id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
  "type": "cluster",
  "href": "/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "statusMessage": "Update failed: insufficient storage quota.",
    "dnsName": "pg-010203.postgresql.de-fra.ionoscloud.com"
  },
  "properties": {
    "name": "cms-prod",
    "description": "A cluster for the production CMS.",
    "version": "16",
    "instances": {
      "count": 1,
      "ram": 4,
      "cores": 4,
      "storageSize": 10
    },
    "connection": {
      "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
      "lanId": "2",
      "primaryInstanceAddress": "192.168.2.101/24"
    },
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    },
    "replicationMode": "ASYNCHRONOUS",
    "credentials": {
      "username": "my_dbuser",
      "database": "my_database"
    },
    "connectionPooler": "TRANSACTION",
    "logsEnabled": false,
    "metricsEnabled": false,
    "backup": {
      "location": "eu-central-3",
      "retentionDays": 90
    }
  }
}

Last updated

Was this helpful?